summaryrefslogtreecommitdiffstats
path: root/test/units/testsuite-51.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/units/testsuite-51.sh')
-rwxr-xr-xtest/units/testsuite-51.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/units/testsuite-51.sh b/test/units/testsuite-51.sh
new file mode 100755
index 0000000..e603d95
--- /dev/null
+++ b/test/units/testsuite-51.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -eux
+set -o pipefail
+
+systemctl start testsuite-51-repro-1
+systemctl start testsuite-51-repro-2
+systemctl start testsuite-51-repro-3
+sleep 5 # wait a bit in case there are restarts so we can count them below
+
+[[ "$(systemctl show testsuite-51-repro-1 -P NRestarts)" == "0" ]]
+[[ "$(systemctl show testsuite-51-repro-2 -P NRestarts)" == "0" ]]
+[[ "$(systemctl show testsuite-51-repro-3 -P NRestarts)" == "0" ]]
+
+touch /testok